---
updatedAt: 2025-03-08T01:46:49.000Z
agentTools:
  projectIndex: https://apidocs.ceretax.net/llms.txt
---

# Download tax rates by state

This API endpoint offers a convenient way to download a file containing tax rates by state and postal code. By making a GET request to this endpoint, you can retrieve a downloadable file that provides comprehensive tax rate information organized by state and postal code combinations.

> 📘
>
> A separate CereTax usage plan is required to access the Content API. If you would like access to the Content API, please reach out to your assigned Implementation Specialist.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "x-stoplight": {
    "id": "y9ucq6tqi79u5"
  },
  "info": {
    "title": "Content API",
    "description": "CereTax API Documentation for retrieving tax content",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://content.cert.ceretax.net"
    }
  ],
  "paths": {
    "/taxrates/download": {
      "parameters": [],
      "get": {
        "summary": "Download tax rates by state",
        "operationId": "get-rates-download",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "url": {
                      "type": "string"
                    }
                  },
                  "x-examples": {
                    "example-1": {
                      "url": "https://ctdev-efs.s3.amazonaws.com/dataApiFiles/2023/05/filteredDownloads/TaxRatesByPostalCode_130_101_NC.zip?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIA3XJSXQN3ZXFJUE5O%2F20230505%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20230505T133850Z&X-Amz-Expires=900&X-Amz-Security-Token=IQoJb3JpZ2luX2VjEP7%2F%2F%2F%2F%2F%2F%2F%2F%2F%2FwEaCXVzLWVhc3QtMSJIMEYCIQCBfQ9h%2Byb5nEWiGyFNJRl65JvCZok%2Bt0yUhCSluTxGugIhANCyQSV95%2BI%2FYelKi13xP5WZJCyUFamSjD%2BO59TjnXNVKvQCCBcQARoMODA1OTQ5NjM3NDk1Igyt2hEgJIc0h4NPRjkq0QJdyD%2B2Uy7Iv5aKj%2BQkD9rEIm4K0i9Xdz1HEBzz%2Ffem0ykhaHil9J34N%2FQtkDxjPxKOOcc5R29BqzGW5ip2a2VnD4SlXkpdK9mkxxc1q4x7bidVUyDDZW5yAI%2FzEqblXeproPrbvyrfsmE5NQhs3alLk%2FsWU4PquT%2F9MzlMKP3f8rFzU2ZsQMvNeHpasexdan70FU6zBgUMqr%2BXzNcYobYTjJUuUfaD5Sz3it9YsNpena%2BIUA3Mei85pQ8MVtNLmGy3zKyaz1Kmscf0eu3AXYg7YCSk302F1dH9q0YuPbFp5eahvEOfFs81JG3d9ybZn5CSbA3sq2TjJtW5wCLhjiSTz0A9J9Ild3bC4kLg2xaYhwcEQrQM2aFg%2BF87DgiFx4FbHT2s%2F56ikJ1Nx9AWCmjrteP743gV1ofnCE2efi23dPDXC9SXkvWrOuOchIYnjSsRMOSN1KIGOp0BWDOmSHcXR4lC2d%2BjOsFGxIsV5tNefe819I9vS7BWr2Gl4IO4lZ8YTKXVhrO7kkkIn9%2BhYqU%2Bo0RqZZq0vNhegJTOtf1DZB5qZQMYrlaiZ%2Bpyt41FtQhW3ecXOZA9giLhqdjtufFf0CdMS2jI%2F%2FEh43Y01Y7xfuTOTFbtPWwNv7KtFZcNMoaRkXZIMRwCFAQMFaTHSLMS9N0rx0S%2BNQ%3D%3D&X-Amz-SignedHeaders=host&X-Amz-Signature=4449ce27274119ad8c1349480c532f0f909b48ba7d1fc281dc2518ea62933bbf"
                    }
                  }
                },
                "examples": {
                  "Download tax rates by state example": {
                    "value": {
                      "url": "https://..."
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Tax rates"
        ],
        "parameters": [
          {
            "schema": {
              "type": "string",
              "example": "GA"
            },
            "in": "query",
            "name": "state",
            "description": "The two-digit abbreviation for the US state you want to retrieve rates for"
          },
          {
            "$ref": "#/components/parameters/contentYear"
          },
          {
            "$ref": "#/components/parameters/contentMonth"
          },
          {
            "$ref": "#/components/parameters/taxType"
          },
          {
            "$ref": "#/components/parameters/taxTypeClass"
          }
        ],
        "security": [
          {
            "api_key": []
          }
        ],
        "description": "This API endpoint offers a convenient way to download a file containing tax rates by state and postal code. By making a GET request to this endpoint, you can retrieve a downloadable file that provides comprehensive tax rate information organized by state and postal code combinations."
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header"
      }
    },
    "parameters": {
      "contentYear": {
        "name": "contentYear",
        "in": "query",
        "required": true,
        "schema": {
          "type": "string",
          "example": "2023"
        },
        "description": "The content year that should be used to determine the applicable rates. Content year should be sent using the **YYYY** format, ex. 2023."
      },
      "contentMonth": {
        "name": "contentMonth",
        "in": "query",
        "required": true,
        "schema": {
          "type": "string",
          "example": "05"
        },
        "description": "The content month that should be used to determine the applicable rates. Content month should be sent using the **MM** format, ex. January should be sent as 01, February should be sent as 02, etc."
      },
      "taxType": {
        "name": "taxType",
        "in": "query",
        "required": false,
        "schema": {
          "type": "string",
          "example": "130"
        },
        "description": "This query parameter can be used to retrieve rates for a specific taxType. For example, passing a value of 130 will retrieve rates for SALES TAX. Valid values for this field and taxType descriptions can be retrieved from the [List tax types](https://apidocs.ceretax.net/reference/get-taxtypes) endpoint."
      },
      "taxTypeClass": {
        "name": "taxTypeClass",
        "in": "query",
        "required": false,
        "schema": {
          "type": "string",
          "example": "101"
        },
        "description": "This query parameter can be used alongside the taxType query parameter to retrieve a subset of rates for a taxType. For example, if you filter on taxType 130 and taxTypeClass 101, you will retrieve rates for SALES TAX - GENERAL MERCHANDISE. Valid values for this field and taxTypeClass descriptions can be retrieved from the [List tax type classes](https://apidocs.ceretax.net/reference/get-taxtypeclasses) endpoint."
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "x-extension-3": null
}
```